gitit

Network.Gitit.Cache

Synopsis

- expireCachedFile :: String -> GititServerPart ()
- lookupCache :: String -> GititServerPart (Maybe (ClockTime, ByteString))
- cacheContents :: String -> ByteString -> GititServerPart ()

# Documentation

expireCachedFile :: String -> GititServerPart ()

Expire a cached file, identified by its filename in the filestore. If there is an associated exported PDF, expire it too. Returns () after deleting a file from the cache, fails if no cached file.

lookupCache :: String -> GititServerPart (Maybe (ClockTime, ByteString))

cacheContents :: String -> ByteString -> GititServerPart ()